DefaultDatagramSocketFactory
Date: 2016-06-23

org.apache.commons.net

## Class DefaultDatagramSocketFactory

- java.lang.Object
- - org.apache.commons.net.DefaultDatagramSocketFactory

- All Implemented Interfaces:
    DatagramSocketFactory

      public class DefaultDatagramSocketFactory
      extends java.lang.Object
      implements DatagramSocketFactory

  DefaultDatagramSocketFactory implements the DatagramSocketFactory interface by simply wrapping the java.net.DatagramSocket constructors. It is the default DatagramSocketFactory used by `DatagramSocketClient` implementations.
  See Also:
    `DatagramSocketFactory`, `DatagramSocketClient`, `DatagramSocketClient.setDatagramSocketFactory(org.apache.commons.net.DatagramSocketFactory)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDatagramSocketFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.DatagramSocket` | `createDatagramSocket()` Creates a DatagramSocket on the local host at the first available port.
    `java.net.DatagramSocket` | `createDatagramSocket(int port)` Creates a DatagramSocket on the local host at a specified port.
    `java.net.DatagramSocket` | `createDatagramSocket(int port, java.net.InetAddress laddr)` Creates a DatagramSocket at the specified address on the local host at a specified port.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDatagramSocketFactory

          public DefaultDatagramSocketFactory()

  - ### Method Detail

    - #### createDatagramSocket

          public java.net.DatagramSocket createDatagramSocket()
                                                       throws java.net.SocketException

      Creates a DatagramSocket on the local host at the first available port.
      Specified by:
        `createDatagramSocket` in interface `DatagramSocketFactory`
      Returns:
        a new DatagramSocket
      Throws:
        `java.net.SocketException` - If the socket could not be created.

    - #### createDatagramSocket

          public java.net.DatagramSocket createDatagramSocket(int port)
                                                       throws java.net.SocketException

      Creates a DatagramSocket on the local host at a specified port.
      Specified by:
        `createDatagramSocket` in interface `DatagramSocketFactory`
      Parameters:
        `port` - The port to use for the socket.
      Returns:
        a new DatagramSocket
      Throws:
        `java.net.SocketException` - If the socket could not be created.

    - #### createDatagramSocket

          public java.net.DatagramSocket createDatagramSocket(int port,
                                                     java.net.InetAddress laddr)
                                                       throws java.net.SocketException

      Creates a DatagramSocket at the specified address on the local host at a specified port.
      Specified by:
        `createDatagramSocket` in interface `DatagramSocketFactory`
      Parameters:
        `port` - The port to use for the socket.
        `laddr` - The local address to use.
      Returns:
        a new DatagramSocket
      Throws:
        `java.net.SocketException` - If the socket could not be created.